Summary:	Toolchain to master DVD+RW/+R media
Name:		dvd+rw-tools
Version:	5.21.4.10.8
Release: 6.2.1
License:	GPL
Group:		Applications/Multimedia
Source:		http://fy.chalmers.se/~appro/linux/DVD+RW/tools/dvd+rw-tools-%{version}.tar.gz
Source1: 	index.html
Patch: 		dvd+rw-tools-5.17.4.8.6.manpatch
Patch10: 	dvd+rw-tools-5.21.4.10.8-excl.patch
URL:		http://fy.chalmers.se/~appro/linux/DVD+RW/
Requires:	mkisofs >= 2.0
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	kernel-headers 

%description
Collection of tools to master DVD+RW/+R media. For further
information see http://fy.chalmers.se/~appro/linux/DVD+RW/.

%prep
%setup -q  -n %{name}-%{version}
%patch -p1 -b .manpatch
%patch10 -p1 -b .excl

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

make
cp %SOURCE1 index.html

%install
rm -rf %{buildroot}
%makeinstall

# mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}-%{release}
# mkdir -p %{buildroot}%{_mandir}/man1

# cd %{_builddir}/%{name}-%{version}
# cp -a	growisofs dvd+rw-format dvd+rw-booktype	\
# 	%{buildroot}%{_prefix}/bin
cp -a	index.html 				\
	%{buildroot}%{_docdir}/%{name}-%{version}-%{release}
# cp -a growisofs.1* %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}/bin/*
%doc %{_docdir}/%{name}-%{version}-%{release}
%{_mandir}/man1/growisofs.1*

%changelog
* Mon Mar 27 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 5.21.4.10.8-6.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 5.21.4.10.8-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> 
- rebuilt

* Wed Feb 16 2005 Harald Hoyer <harald@redhat.com> - 5.21.4.10.8-5
- built with RPM_OPT_FLAGS

* Wed Feb 09 2005 Harald Hoyer <harald@redhat.com>
- rebuilt

* Thu Nov 18 2004 Harald Hoyer <harald@redhat.com> - 5.21.4.10.8-4
- removed wget dependency

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> - 5.21.4.10.8-2
- added dvd+rw-tools-5.21.4.10.8-excl.patch to open O_EXCL

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> - 5.21.4.10.8-1
- version 5.21.4.10.8

* Mon Jul 26 2004 Harald Hoyer <harald@redhat.com> - 5.20.4.10.8-1
- version 5.20.4.10.8

* Wed Jun 16 2004 Harald Hoyer <harald@redhat.com> - 5.19.1.4.9.7-1
- version 5.19.1.4.9.7

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jan 29 2004 Harald Hoyer <harald@redhat.com> - 5.17.4.8.6-1
- version 5.17.4.8.6
- fixes 110740 110700

* Wed Oct  8 2003 Harald Hoyer <harald@redhat.de> 5.13.4.7.4-1
- version 5.13.4.7.4

* Mon Sep 08 2003 Harald Hoyer <harald@redhat.de> 5.12.4.7.4-1
* updated to version 5.12.4.7.4

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 15 2003 Harald Hoyer <harald@redhat.de> 5.3.4.2.4-1
- updated to version 5.3.4.2.4

* Mon Feb 3 2003 Chris Kloiber <ckloiber@redhat.com>
- Updated version to 5.1.4.0.4
- Requires mkisofs 2.0

* Thu Nov 4 2002 Andy Polyakov <appro@fy.chalmers.se>
- Minor growisofs update. Uninitialized errno at exit when
  -Z /dev/scd0=image.iso is used.

* Thu Nov 3 2002 Andy Polyakov <appro@fy.chalmers.se>
- Initial packaging. Package version is derived from growisofs,
  dvd+rw-format and dvd+rw-booktype version. 4.0.3.0.3 means
  growisofs 4.0, dvd+rw-format 3.0 dvd+rw-booktype 3.
  
